#!/usr/bin/env python

import threading
import time

from aman.config.Airport import Airport

class Worker(threading.Thread):
    def __init__(self, icao : str, configuration : Airport):
        threading.Thread.__init__(self)

        self.stopThread = None
        self.icao = icao
        self.configuration = configuration
        self.arrivalRoutes = configuration.gngData.arrivalRoutes

    def stop(self):
        self.stopThread = True

    def run(self):
        counter = 0

        while None == self.stopThread:
            time.sleep(1)
            counter += 1
            if 0 != (counter % 60):
                continue

            # TODO execute planning, etc.
            continue
